% Sample code from the book: "Colored Petri Nets for 
% Modeling of Discrete Systems: A practical approach with GPenSIM"
% 
% Example-03: Resolving Conflict with colo
% t1 and t2 are in conflict. t1 has 90% chance, whereas t2 has 10%
% Reggie.Davidrajuh@uis.no  (c) 12 April 2023

clear all; clc;

global global_info
global_info.STOP_AT = 1000; % stp after 1000 TU

png = pnstruct('conflict_pdf');

dyn.m0 = {'pS', 1}; % pS has one token initially
dyn.ft = {'tS', 10, 'allothers', 1};  % firing times t1 & t2 
pni = initialdynamics(png, dyn);
sim = gpensim(pni);
plotp(sim, {'p1', 'p2'}); 
prnstate();
